$(function() {
	/* DateTime jQuery */
		var MonthShort = ["Ene","Feb","Mar","Abr","May","Jun","Jul","Ago","Sep","Oct","Nov","Dic"];
		var MonthLarge = ["Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"];
		
		var DayShort = ["Dom", "Lun", "Mar", "Mie", "Jue", "Vie", "Sab"];
		var DayLarge = ["Domingo", "Lunes", "Martes", "Miercoles", "Jueves", "Viernes", "Sabado"];
		
		
		$( "#from" ).datepicker({
			defaultDate: "+1w",
			dateFormat: "dd-mm-yy",
			changeMonth: true,
			changeYear: true,
			numberOfMonths: 1,
			monthNamesShort: MonthShort,
			monthNames: MonthLarge,
			dayNamesShort: DayShort,
			dayNamesMin: DayShort,
			dayNames: DayLarge,
			onSelect: function( selectedDate ) {
				$( "#to" ).datepicker( "option", "minDate", selectedDate );
			}
		});
		$( "#to" ).datepicker({
			defaultDate: "+1w",
			dateFormat: "dd-mm-yy",
			changeMonth: true,
			changeYear: true,
			numberOfMonths: 1,
			monthNamesShort: MonthShort,
			monthNames: MonthLarge,
			dayNamesShort: DayShort,
			dayNamesMin: DayShort,
			dayNames: DayLarge,
			onSelect: function( selectedDate ) {
				$( "#from" ).datepicker( "option", "maxDate", selectedDate );
			}
		});

		/* DateTime jQuery */
			
		/* Confirmar Google */
		
		$('.ask-plain').click(function(e) {
			
			e.preventDefault();
			thisHref	= $(this).attr('href');
			
			if(confirm('Are you sure')) {
				window.location = thisHref;
			}
			
		});
		
		$('.ask').jConfirmAction();
		
		/* Confirmar Google */
		
		/* Animates Tables*/
		
		$('.usuariosactivos').click(function() {
			$("#newusers th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#newusers td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
		});

		$('.usauriosinactivos').click(function() {
	        $("#usauriosinactivos th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#usauriosinactivos td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TableEstoyContigo').click(function() {
	        $("#TableEstoyContigo th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TableEstoyContigo td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TableBuscoRespuestas').click(function() {
	        $("#TableBuscoRespuestas th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TableBuscoRespuestas td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });

		$('.TableNecesitoApoyarme').click(function() {
	        $("#TableNecesitoApoyarme th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TableNecesitoApoyarme td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TableSigoAdelanteTotal').click(function() {
	        $("#TableSigoAdelanteTotal th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TableSigoAdelanteTotal td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TableEnProceso').click(function() {
	        $("#TableEnProceso th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TableEnProceso td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TableAceptadas').click(function() {
	        $("#TableAceptadas th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TableAceptadas td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TablePublicacionesEnMuros').click(function() {
	        $("#TablePublicacionesEnMuros th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TablePublicacionesEnMuros td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TableComentariosPublicaciones').click(function() {
	        $("#TableComentariosPublicaciones th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TableComentariosPublicaciones td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TableGrupos').click(function() {
	        $("#TableGrupos th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TableGrupos td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TableTestimonios').click(function() {
	        $("#TableTestimonios th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TableTestimonios td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TablePreguntas').click(function() {
	        $("#TablePreguntas th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TablePreguntas td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.usuariosamigos').click(function() {
	        $("#usuariosamigos th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#usuariosamigos td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.publicacionesmegusta').click(function() {
	        $("#publicacionesmegusta th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#publicacionesmegusta td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.usaurioscomentarios').click(function() {
	        $("#usaurioscomentarios th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#usaurioscomentarios td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.GruposUsuariosTabla').click(function() {
	        $("#GruposUsuariosTabla th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#GruposUsuariosTabla td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.GruposComentariosTable').click(function() {
	        $("#GruposComentariosTable th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#GruposComentariosTable td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TestimoniosComentariosTable').click(function() {
	        $("#TestimoniosComentariosTable th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TestimoniosComentariosTable td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.PreguntasComentariosTable').click(function() {
	        $("#PreguntasComentariosTable th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#PreguntasComentariosTable td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.TableCOUNTCOMENTS').click(function() {
	        $("#TableCOUNTCOMENTS th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#TableCOUNTCOMENTS td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.UsersDeleted').click(function() {
	        $("#UsersDeleted th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#UsersDeleted td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });
		
		$('.usuariosTotal').click(function() {
	        $("#usuariosTotal th").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#C9C9C9'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
			$("#usuariosTotal td").each(function() {
			    if ($(this).is(":animated")) {
			        return;
			    
			    }
			    var _cur = $(this).css("backgroundColor");
			    $(this).animate({backgroundColor:'#E3E3E3'},function() {
			        $(this).animate({backgroundColor:_cur});
			    });
			});
        });

		$('.Open').click(function(){
			$('#ListMagic').slideDown("slow",function(){
				$('#ListMagic').css('display','block');	
			});
			$('.Exit').css('display','block');
			$('.Exit').animate({opacity: '1'},{duration: 700});
			$('.Open').css('display','none');
			$('.Open').animate({opacity: '0'},{duration: 700});
		});
		
		$('.Exit').click(function(){
			$('#ListMagic').slideUp("slow",function(){
				$('#ListMagic').css('display','none')
			});
			$('.Exit').css('display','none');
			$('.Exit').animate({opacity: '0'},{duration: 700});
			$('.Open').css('display','block');
			$('.Open').animate({opacity: '1'},{duration: 700});
		});
	/* Animates Tables*/

	/* Animate Ancla */
		
	$('#TableLink a').click(function() {
	     if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
	             var $target = $(this.hash);
	             $target = $target.length && $target || $('[name=' + this.hash.slice(1) +']');
	             if ($target.length) {
	            	 var targetOffset = $target.offset().top-15;
	                 $('html,body').animate({scrollTop: targetOffset}, 1000);
	                 return false;
	            }
	       }
	});
	$('#ListMagic a').click(function() {
	     if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
	             var $target = $(this.hash);
	             $target = $target.length && $target || $('[name=' + this.hash.slice(1) +']');
	             if ($target.length) {
	            	 var targetOffset = $target.offset().top-15;
	                 $('html,body').animate({scrollTop: targetOffset}, 1000);
	                 return false;
	            }
	       }
	});
	
	/* Animate Ancla */

});